/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package exemplo07;

import JPlay.Animation;
import JPlay.GameImage;
import JPlay.Keyboard;
import JPlay.Window;

/**
 * @author Gefersom Cardoso Lima
 * Universidade Federal Fluminense - UFF - Brasil - 2010
 * Ciência da Computação
 */

public class Main
{
    //Pausa uma animação
    public static void main(String[] args)
    {
        Window janela = new Window(800,600);
        Keyboard keyboard = janela.getKeyboard();

        GameImage backGround = new GameImage("fundo.png");
        Animation animacao = new Animation("animacao01.png", 4);

        animacao.setPosition(300, 300);

        //Seta o tempo que cada frame levará sendo apresenando na tela
        animacao.setTimeChangeFrame(125);
        animacao.setRepeatAnimation(true);

        long time = 0;

        boolean executando = true;
        while(executando)
        {
                backGround.draw();
                animacao.draw();
                janela.display();

                //Faz a animação rodar
                animacao.runAnimation();

                //Conta o tempo passado
                time += janela.timeElapsed();

                //Quando uma animação é criada, ela é configurada para executar em loop
                //Para fazer a animação executar somente uma vez use
                //animacao.setRepeatAnimation(false)
                if (time > 4000 && time < 5000)
                    animacao.setRepeatAnimation(false);
                else
                    if (time > 10000)
                        animacao.setRepeatAnimation(true);

                if ( keyboard.keyDown(Keyboard.ESCAPE_KEY) == true)
                    executando = false;
        }
        janela.exit();
    }
}
